Subject: [mpls] [mpls-tp] Question to draft-boutros-mpls-lsp-ping-ttl-tlv-03.txt

From: [email-masked]
Date: Fri, 4 Mar 2011 12:06:18 +0800

Dear Authors, 

I have read this version of the draft, here are some comments, please 
consider

1. The last paragraph in introduction , "The  scope  of  this  TTL  TLV is 
 currently  limited  to  MS-PW  or Bidirectional co-routed MPLS TP LSPs."

Just my two cents, I think you can enlarge the scope to inlcude associated 
bidirectional LSP, for the initiator can learn the TTL TLV value from the 
NMS or control plane. Furthermore, the same intermediate nodes know the 
binding relationship of the two unidirectional LSPs (one from west to east 
and the other one form east to west) according to the definition in 
RFC5654. 

2. Section 4.2

 "Return TTL Value = (TTL TLV Value)-(Incoming Label TTL)-1" SHOULD be 
"Return TTL Value = (TTL TLV Value)-(Incoming Label TTL)+1" ? 

Fei